Bug 43142 - xcdroast / __alloc_pages: 2-order allocation failed.
Summary: xcdroast / __alloc_pages: 2-order allocation failed.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-01 10:40 UTC by Bruce Garlock
Modified: 2007-04-18 16:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-08 20:41:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bruce Garlock 2001-06-01 10:40:35 UTC
Description of Problem: After my overnight backup, the next time I try and
use xcdroast under RH 7.1, my HD starts heavy activity, and my log gets a
bunch of these messages:

__alloc_pages: 2-order allocation failed.
__alloc_pages: 3-order allocation failed.

After a fresh boot (before any overnight backup), this does not happen.  I
am using the aic7xxx_mod driver, but I also experienced this problem with
the aic7xxx driver.  The HD activity begins when my cdrom is accessing the
cd's TOC.  I'm guessing this might be a sg driver issue, and not xcdroast,
but I could not find a 'sg' component.  

I have an UltraPlex 40 Max CDROM.

Here is my SCSI devices:

Attached devices:
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: IBM      Model: DNES-318350W     Rev: SA30
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 01 Lun: 00
  Vendor: PLEXTOR  Model: CD-R   PX-W8220T Rev: 1.05
  Type:   CD-ROM                           ANSI SCSI revision: 02
Host: scsi0 Channel: 00 Id: 03 Lun: 00
  Vendor: SONY     Model: SDT-9000         Rev: 0400
  Type:   Sequential-Access                ANSI SCSI revision: 02
Host: scsi0 Channel: 00 Id: 04 Lun: 00
  Vendor:          Model: scanner 636EL    Rev: 1.40
  Type:   Scanner                          ANSI SCSI revision: 02
Host: scsi0 Channel: 00 Id: 05 Lun: 00
  Vendor: IOMEGA   Model: ZIP 250          Rev: H.41
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi0 Channel: 00 Id: 06 Lun: 00
  Vendor: PLEXTOR  Model: CD-ROM PX-40TS   Rev: 1.11
  Type:   CD-ROM                           ANSI SCSI revision: 02
Host: scsi0 Channel: 00 Id: 08 Lun: 00
  Vendor: IBM      Model: DNES-309170W     Rev: SA30
  Type:   Direct-Access                    ANSI SCSI revision: 03
Host: scsi0 Channel: 00 Id: 09 Lun: 00
  Vendor: IBM-PSG  Model: DNES-309170W  !# Rev: SA30
  Type:   Direct-Access                    ANSI SCSI revision: 03

How Reproducible:  Wait until my overnight backup finishes, then use
xcdroast. 


Steps to Reproduce:
1.  
2. 
3. 

Actual Results:


Expected Results:


Additional Information:


Note You need to log in before you can comment on or make changes to this bug.